Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153250 - Minor script errors in /etc/dev.d/default/05-pam_console.dev
Summary: Minor script errors in /etc/dev.d/default/05-pam_console.dev
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-04 01:01 UTC by Michael Rommel
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-21 13:13:15 UTC


Attachments (Terms of Use)

Description Michael Rommel 2005-04-04 01:01:37 UTC
Description of problem:

1. debug messages are not printed
2. symlinks are not correctly given permissions

Version-Release number of selected component (if applicable):
udev-050-9

How reproducible:
Always reproducible.

Steps to Reproduce:
1. edit /etc/udev/udev.conf, set udev_log to "yes"
   plug in a device and you do not see debug messages in the syslog.
2. create a file /etc/udev/rules.d/45-powermate.rules with content
   KERNEL="event*", SYSFS{product}="Griffin PowerMate", SYMLINK="powermate"
   plug in a powermate device, the symlink will be correctly created as
   /dev/powermate, but the name /dev//dev/powermate will be given as 
   parameter to the 05-pam_console.dev script.

Actual results:
1. no syslog messages
2. incorrect symlink name deduced

Expected results:
1. syslog messages
2. correct symlink as parameter to pam_console_apply

Additional info:

Solution is:
1. correct line 32 to read (make lowercase and change 1 to yes):
            test -z "$udev_log" -o "$udev_log" != "yes" && return
2. correct line 44 to read (delete ${udev%%/} path prepending):
                SYMLINKS="$SYMLINKS $i"
   According to the udevinfo man:
       -r     Print  the  udev_root directory. When used in conjunction with a
              query for the node name or the symlink names, the udev_root will
              be prepended to query result.

Comment 1 Harald Hoyer 2005-04-21 13:13:15 UTC
thx!


Note You need to log in before you can comment on or make changes to this bug.